> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stackone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Applications scheduled interview



## OpenAPI

````yaml get /unified/ats/applications/{id}/scheduled_interviews/{subResourceId}
openapi: 3.1.0
info:
  title: ATS
  description: The documentation for the StackOne Unified API - ATS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.stackone.com
security: []
tags:
  - name: Application Changes
    description: >-
      Chronological record of changes made to the application (this will only
      track changes for specific properties of the Application model).
  - name: Application Notes
    description: Notes or comments on applications.
  - name: Application Stages
    description: Stages of the job application process
  - name: Applications
    description: Job applications submitted by candidates.
  - name: Assessments
    description: Candidate assessments or tests.
  - name: Background Checks
    description: Background screening checks.
  - name: Candidates
    description: People applying for jobs.
  - name: Custom Field Definitions
    description: Definitions for custom fields on ATS resources.
  - name: Departments
    description: Departments within an organization.
  - name: Documents
    description: Files and documents related to candidates or jobs.
  - name: Interviews
    description: Scheduled interviews with candidates.
  - name: Job Postings
    description: Public job advertisements.
  - name: Jobs
    description: Open job positions.
  - name: Lists
    description: Lists for organizing candidates or jobs.
  - name: Locations
    description: Job or office locations.
  - name: Notes
    description: General notes or comments.
  - name: Offers
    description: Job offers extended to candidates.
  - name: Orders
    description: Orders for background checks or assessments.
  - name: Packages
    description: Assessment or offer packages.
  - name: Rejected Reasons
    description: Reasons for candidate rejection.
  - name: Results
    description: Results of assessments or background checks.
  - name: Scheduled Interviews
    description: Planned interview sessions.
  - name: Scorecards
    description: Evaluation scorecards for candidates.
  - name: Users
    description: System users with access to the ATS.
paths:
  /unified/ats/applications/{id}/scheduled_interviews/{subResourceId}:
    get:
      tags:
        - Applications
        - Scheduled Interviews
      summary: Get Applications scheduled interview
      operationId: ats_get_application_scheduled_interview
      parameters:
        - name: x-account-id
          in: header
          description: The account identifier
          required: true
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: subResourceId
          required: true
          in: path
          schema:
            type: string
        - name: raw
          required: false
          in: query
          description: >-
            Indicates that the raw request result should be returned in addition
            to the mapped result (default value is false)
          schema:
            nullable: true
            type: boolean
        - name: proxy
          required: false
          in: query
          description: >-
            Query parameters that can be used to pass through parameters to the
            underlying provider request by surrounding them with 'proxy' key
          style: deepObject
          explode: true
          schema:
            additionalProperties: true
            nullable: true
            type: object
        - name: fields
          required: false
          in: query
          description: >-
            The comma separated list of fields that will be returned in the
            response (if empty, all fields are returned)
          schema:
            nullable: true
            example: >-
              id,remote_id,candidate_id,remote_candidate_id,job_id,remote_job_id,job_posting_id,remote_job_posting_id,interview_stage,interview_stage_id,remote_interview_stage_id,application_stage,application_stage_id,remote_application_stage_id,rejected_reason,rejected_reason_id,remote_rejected_reason_id,rejected_reason_ids,remote_rejected_reason_ids,rejected_reasons,rejected_at,location_id,remote_location_id,location_ids,remote_location_ids,status,application_status,questionnaires,attachments,result_links,source,created_at,updated_at,documents,custom_fields,candidate,unified_custom_fields
            type: string
        - name: Prefer
          in: header
          required: false
          description: >-
            Set to "heartbeat" to enable keep-alive newline heartbeats during
            long-running requests. Response includes Preference-Applied:
            heartbeat header when honored. (RFC 7240)
          schema:
            type: string
            example: heartbeat
      responses:
        '200':
          description: >-
            The applications scheduled interview with the given identifier was
            retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScheduledInterviewsResult'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestResponse'
        '401':
          description: Unauthorized access.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenResponse'
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
        '408':
          description: The request has timed out.
          headers:
            Retry-After:
              description: A time in seconds after which the request can be retried.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestTimedOutResponse'
        '409':
          description: Conflict with current state.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConflictResponse'
        '412':
          description: >-
            Precondition failed: linked account belongs to a disabled
            integration.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PreconditionFailedResponse'
        '422':
          description: Validation error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableEntityResponse'
        '429':
          description: Too many requests.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsResponse'
        '500':
          description: Server error while executing the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
        '501':
          description: This functionality is not implemented.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotImplementedResponse'
        '502':
          description: Bad gateway error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadGatewayResponse'
      security:
        - basic: []
components:
  schemas:
    ScheduledInterviewsResult:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ScheduledInterview'
        raw:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/RawResponse'
      required:
        - data
    BadRequestResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
        message:
          type: string
          description: Error message
          example: Bad Request
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
        data:
          description: Error details
          nullable: true
          allOf:
            - $ref: '#/components/schemas/UnifiedError'
        provider_errors:
          description: List of provider-specific errors
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/ProviderError'
      required:
        - statusCode
        - message
        - timestamp
    UnauthorizedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 401
        message:
          type: string
          description: Error message
          example: Unauthorized
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ForbiddenResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 403
        message:
          type: string
          description: Error message
          example: Forbidden resource
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    NotFoundResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 404
        message:
          type: string
          description: Error message
          example: Not Found
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    RequestTimedOutResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 408
        message:
          type: string
          description: Error message
          example: Request timed out
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ConflictResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 409
        message:
          type: string
          description: Error message
          example: Conflict
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    PreconditionFailedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 412
        message:
          type: string
          description: Error message
          example: Precondition failed
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    UnprocessableEntityResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 422
        message:
          type: string
          description: Error message
          example: Unprocessable Entity
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    TooManyRequestsResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 429
        message:
          type: string
          description: Error message
          example: Too many requests
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    InternalServerErrorResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 500
        message:
          type: string
          description: Error message
          example: Internal server error
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    NotImplementedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 501
        message:
          type: string
          description: Error message
          example: Not Implemented
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    BadGatewayResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 502
        message:
          type: string
          description: Error message
          example: Bad Gateway
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ScheduledInterview:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        application_id:
          type: string
          nullable: true
        remote_application_id:
          type: string
          description: Provider's unique identifier of the application
          example: e3cb75bf-aa84-466e-a6c1-b8322b257a48
          nullable: true
        interview_stage_id:
          type: string
          nullable: true
        remote_interview_stage_id:
          type: string
          description: Provider's unique identifier of the interview stage
          example: e3cb75bf-aa84-466e-a6c1-b8322b257a48
          nullable: true
        interview_stage:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/InterviewStage'
        interview_status:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/InterviewStatusEnum'
        interviewer_ids:
          nullable: true
          type: array
          items:
            type: string
        remote_interviewer_ids:
          description: Provider's unique identifiers of the interviewers
          example:
            - e3cb75bf-aa84-466e-a6c1-b8322b257a48
            - e3cb75bf-aa84-466e-a6c1-b8322b257a48
          nullable: true
          type: array
          items:
            type: string
        interview_parts:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/InterviewPart'
        interviewers:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/Interviewer'
        start_at:
          type: string
          description: Interview start date
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
        end_at:
          type: string
          description: Interview end date
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
        meeting_url:
          type: string
          nullable: true
        created_at:
          type: string
          description: Interview created date
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
        updated_at:
          type: string
          description: Interview updated date
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
    RawResponse:
      type: object
      properties:
        method:
          type: string
        url:
          type: string
        body:
          oneOf:
            - type: string
            - type: object
            - type: array
              items:
                type: integer
                format: int32
                minimum: 0
                maximum: 255
          additionalProperties: true
          nullable: true
        response:
          oneOf:
            - type: object
              additionalProperties: true
            - type: array
              items: {}
            - type: string
          nullable: true
      required:
        - method
        - url
    UnifiedError:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
          nullable: true
        message:
          type: string
          description: Error message
          example: Bad Request
          nullable: true
        headers:
          type: object
          description: Response headers
          example:
            content-type: application/json
            x-request-id: 5678c28b211dace4e0a0f9171e6b88c5
          nullable: true
    ProviderError:
      type: object
      properties:
        status:
          type: number
          description: HTTP status code of the provider error
          example: 400
          nullable: true
        url:
          type: string
          description: URL that caused the error
          example: https://api.provider.com/v1/resource
          nullable: true
        raw:
          type: object
          description: Raw error response from the provider
          example:
            message: Invalid input parameters
          nullable: true
        headers:
          type: object
          description: Response headers
          example:
            content-type: application/json
            x-request-id: 5678c28b211dace4e0a0f9171e6b88c5
          nullable: true
    InterviewStage:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        unified_custom_fields:
          type: object
          description: Custom Unified Fields configured in your StackOne project
          additionalProperties: true
          example:
            my_project_custom_field_1: REF-1236
            my_project_custom_field_2: some other value
          nullable: true
        name:
          type: string
          nullable: true
        order:
          type: number
          nullable: true
        created_at:
          type: string
          description: Interview Stage created date
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
        updated_at:
          type: string
          description: Interview Stage updated date
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
    InterviewStatusEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - unscheduled
            - scheduled
            - completed
            - cancelled
            - pending_feedback
            - unmapped_value
            - null
          description: The status of the interview.
          example: unscheduled
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          description: The source value of the interview status.
          example: Unscheduled
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    InterviewPart:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        type:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/InterviewTypeEnum'
        title:
          type: string
          description: >-
            The title of interview, usually corresponding to the title of an
            associated calendar event
          example: Interview (Informal Interview) - Elon and StackOne
          nullable: true
        interviewer_ids:
          description: The user (interviewer) IDs taking part in this specific interview.
          example:
            - cx28iQahdfDHa
            - cx28iQokkD78das
          nullable: true
          type: array
          items:
            type: string
        remote_interviewer_ids:
          description: >-
            Provider's user (interviewer) IDs taking part in this specific
            interview.
          example:
            - cx28iQahdfDHa
            - cx28iQokkD78das
          nullable: true
          type: array
          items:
            type: string
        meeting_url:
          type: string
          description: >-
            The meeting URL for the interview - this may be populated using the
            underlying location if the location string extracted is a valid url.
          example: zoomus://zoom.us/join?confno=123456789
          nullable: true
        meeting_provider:
          type: string
          description: The video meeting provider used for the interview.
          example: zoom
          nullable: true
        start_at:
          type: string
          description: The specific interview part's start date
          example: '2021-01-01T17:00:00.000Z'
          format: date-time
          nullable: true
        end_at:
          type: string
          description: The specific interview part's end date
          example: '2021-01-01T18:00:00.000Z'
          format: date-time
          nullable: true
        created_at:
          type: string
          description: Interview part created date
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
        updated_at:
          type: string
          description: Interview part updated date
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
    Interviewer:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        first_name:
          type: string
          nullable: true
        last_name:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
    InterviewTypeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - screening
            - lunch
            - on_site
            - presentation
            - sell
            - culture
            - informal
            - test
            - phone
            - video
            - unmapped_value
            - null
          description: The type of the interview.
          example: on_site
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          description: The source value of the interview type.
          example: Onsite Interview
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
  securitySchemes:
    basic:
      type: http
      scheme: basic

````